//全局消息弹窗
import './assets/iconfont/iconfont.css'
import toast from './toast.vue';
const Toast = {};

Toast.install = function (Vue) {
  let ToastConstructor = Vue.extend(toast);
  let newToast;
  const initInstance = () => {
    newToast = new ToastConstructor();
    let ToastEl = newToast.$mount().$el;
    document.body.appendChild(ToastEl);
  };

  //让所有实例共享这个方法
  Vue.prototype.$toast = (icon, tips) => {
    if (!newToast) {
      initInstance();
    }
    newToast.icon = icon;
    newToast.tips = tips;
    newToast.open();
    return new Promise(resolve => {
      setTimeout(() => {
        newToast.close();
        newToast = null;
        resolve();
      }, 2000);
    });
  };
};

export default Toast;
